Bug 947527 - xorg crashes with segfault
Summary: xorg crashes with segfault
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-02 16:32 UTC by kevin martin
Modified: 2015-06-29 11:51 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 11:51:20 UTC


Attachments (Terms of Use)
/var/log/Xorg.0.log for the previous error (30.45 KB, text/plain)
2013-05-13 13:24 UTC, Jirka Klimes
no flags Details

Description kevin martin 2013-04-02 16:32:41 UTC
Description of problem:

Using lxde with openbox on rawhide and certain menu items under Preferences causes the following crash of X:

 from process 3610 (kevinm@ktmtoshiba).
(EE)
(EE) Backtrace:
(EE) 0: /usr/bin/X (OsLookupColor+0x129) [0x46e569]
(EE) 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x7fc9e694ef9f]
(EE) 2: ? (?+0x0) [0x0]
(EE)
(EE) Segmentation fault at address 0x0

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting


I am using the nVidia driver (primarily because I can't run the nouveau driver without setting '#Option     "NoAccel" "1"' in
/etc/X11/xorg.conf and so screen painting is painfully slow on this machine and I've opened repeated bugzilla's about the nouveau
issue with no resolution).  A few of the menu items that cause the crash are Preferences -> Background and Preferences -> Color.


Xorg info:

X.Org X Server 1.14.0
Release Date: 2013-03-05
[  2215.743] X Protocol Version 11, Revision 0
[  2215.743] Build Operating System:  2.6.32-279.19.1.el6.x86_64
[  2215.743] Current Operating System: Linux ktmtoshiba 3.9.0-0.rc5.git0.2.fc20.x86_64 #1 SMP Mon Apr 1 17:16:49 UTC 2013 x86_64
[  2215.743] Kernel command line: BOOT_IMAGE=/vmlinuz-3.9.0-0.rc5.git0.2.fc20.x86_64 root=UUID=895ff4c3-db90-4071-aeab-a0ec2d6b94cf
ro rd.md=0 rd.lvm=0 rd.d
m=0 rd.luks=0 rhgb quiet nouveau.modeset=0 rd.driver.blacklist=nouveau video=vesa:off vga=normal
[  2215.743] Build Date: 22 March 2013  01:08:33PM
[  2215.743] Build ID: xorg-x11-server 1.14.0-3.fc20
[  2215.743] Current version of pixman: 0.28.0


Version-Release number of selected component (if applicable):

1.14.0


How reproducible:  Every time


Steps to Reproduce:
1. use lxde and openbox; 
2. right click for the menu
3. select Preferences -> Color .....   BOOM!
  
Actual results:


Expected results:


Additional info:

Comment 1 Jirka Klimes 2013-05-13 12:39:17 UTC
I've been experienced the same problem with Fedora 19 on T430s

I use intel drivers, don't have any /etc/X11/xorg.conf.

00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])
        Subsystem: Lenovo Device 21fb
        Flags: bus master, fast devsel, latency 0, IRQ 42
        Memory at d0000000 (64-bit, non-prefetchable) [size=4M]
        Memory at c0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 5000 [size=64]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [d0] Power Management version 2
        Capabilities: [a4] PCI Advanced Features
        Kernel driver in use: i915

From /var/log/Xorg.0.log
[   509.247] (EE) Backtrace:
[   509.255] (EE) 0: /usr/bin/X (OsLookupColor+0x129) [0x46e539]
[   509.262] (EE) 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x328540ef9f]
[   509.267] (EE) 2: ? (?+0x0) [0x51]
[   509.269] (EE)
[   509.271] (EE) Segmentation fault at address 0x51
[   509.274]
FatalError re-entered, aborting
[   509.275] Caught signal 11 (Segmentation fault). Server aborting

Comment 2 Jirka Klimes 2013-05-13 13:24:38 UTC
Created attachment 747235 [details]
/var/log/Xorg.0.log for the previous error

Comment 3 Dave Airlie 2013-05-15 02:12:33 UTC
can anyone get this with gdb attached to the server from an ssh session or screen.

Comment 4 kevin martin 2013-05-15 02:27:25 UTC
I've reverted to nouveau with the following set in /etc/X11/xorg.conf:

        Option     "NoAccel" "1"            	# [<bool>]
        Option     "ShadowFB" "1"           	# [<bool>]


and this allows the repaint of the windows to be ok so, at this point, I can't be of much help with nvidia and xorg.

Comment 5 Jirka Klimes 2013-06-04 16:45:53 UTC
After installing 'mesa-dri-drivers', X server seems to work, at least a 
bit.
"/usr/bin/X (OsLookupColor+0x129) [0x46e539]" doesn't appear any more (actually, it only appeared after reboot (so stopping/killing the X server)).

But now, touchpad doesn't work and these lines repeats in Xorg.0.log:

(EE) [dix] SynPS/2 Synaptics TouchPad: unable to find touch point 1
[   588.971] (EE) BUG: triggered 'if (!(event->device_event.flags & (1 << 5)))'
[   588.971] (EE) BUG: touch.c:621 in TouchConvertToPointerEvent()
[   588.971] (EE) Non-emulating touch event
[   588.971] (EE)
[   588.971] (EE) Backtrace:
[   588.971] (EE) 0: /usr/bin/X (SwapConnClientPrefix+0xdc7) [0x45eee7]
[   588.971] (EE) 1: /usr/bin/X (XIGetDevice+0x1905) [0x5272d5]
[   588.971] (EE) 2: /usr/bin/X (XIGetDevice+0x1328) [0x5261d8]
[   588.971] (EE) 3: /usr/bin/X (InitProximityClassDeviceStruct+0x22b0) [0x529d00]
[   588.971] (EE) 4: /usr/bin/X (AccessXFilterReleaseEvent+0x4d6) [0x548e86]
[   588.972] (EE) 5: /usr/bin/X (mieqProcessDeviceEvent+0x1cd) [0x57639d]
[   588.972] (EE) 6: /usr/bin/X (mieqProcessInputEvents+0xf7) [0x5764b7]
[   588.972] (EE) 7: /usr/bin/X (ProcessInputEvents+0x9) [0x485a09]
[   588.972] (EE) 8: /usr/bin/X (SendErrorToClient+0xd2) [0x436b22]
[   588.972] (EE) 9: /usr/bin/X (_init+0x3ab2) [0x429ae2]
[   588.972] (EE) 10: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3eaca21b75]
[   588.972] (EE) 11: /usr/bin/X (_start+0x29) [0x426741]
[   588.973] (EE) 12: ? (?+0x29) [0x29]
[   588.973] (EE)
....

Comment 6 Jirka Klimes 2013-06-05 07:21:26 UTC
Installed 'xorg-x11-drv-synaptics', and everything seems to work now.
So, feel free to close the bug. Nonetheless, the errors could indicate more clearly what is the actual problem.

Comment 7 Pasi Karkkainen 2013-09-03 18:57:49 UTC
I'm getting this Xorg segfault aswell with Fedora 19 on Lenovo T430 laptop in Optimus mode (Intel+Nouveau):


[   138.763] reporting 5 7 17 134
[   139.048] have a master to look out for
[   139.048] (EE) 
[   139.048] (EE) Backtrace:
[   139.052] (EE) 0: /usr/bin/X (OsLookupColor+0x129) [0x46ee59]
[   139.052] (EE) 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x36f2e0ef9f]
[   139.053] (EE) 2: /lib64/libdrm_intel.so.1 (drm_intel_bufmgr_fake_init+0xe3b) [0x7f2bd9ff2f3b]
[   139.054] (EE) 3: /lib64/libdrm_intel.so.1 (drm_intel_bufmgr_fake_init+0x2924) [0x7f2bd9ff6134]
[   139.055] (EE) 4: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0x9f22) [0x7f2bda22cf12]
[   139.055] (EE) 5: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0x6075) [0x7f2bda225285]
[   139.056] (EE) 6: /usr/bin/X (xf86PruneDuplicateModes+0x1df7) [0x4c84e7]
[   139.056] (EE) 7: /usr/bin/X (RRCrtcSet+0x589) [0x502b39]
[   139.056] (EE) 8: /usr/bin/X (ProcRRSetCrtcConfig+0x3d9) [0x503c99]
[   139.056] (EE) 9: /usr/bin/X (SendErrorToClient+0x3f7) [0x436fe7]
[   139.057] (EE) 10: /usr/bin/X (_init+0x3aaa) [0x429b8a]
[   139.058] (EE) 11: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x36f2621b75]
[   139.058] (EE) 12: /usr/bin/X (_start+0x29) [0x4267f1]
[   139.059] (EE) 13: ? (?+0x29) [0x29]
[   139.059] (EE) 
[   139.059] (EE) Segmentation fault at address 0x8
[   139.059] (EE) 
Fatal server error:
[   139.059] (EE) Caught signal 11 (Segmentation fault). Server aborting
[   139.059] (EE) 
[   139.059] (EE) 
Please consult the Fedora Project support 
         at http://wiki.x.org
 for help. 
[   139.059] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[   139.059] (EE) 
[   139.060] (II) AIGLX: Suspending AIGLX clients for VT switch
[   139.543] (EE) Server terminated with error (1). Closing log file.

Comment 8 Pasi Karkkainen 2013-09-03 18:59:12 UTC
.. and I forgot to mention that for me the Xorg segfault happens when running "xrandr --output DP-2 --off" to disable an output on *nouveau* card. Even when the backtrace has Intel strings in it..

Comment 9 Vojtech Sobota 2013-09-07 12:46:48 UTC
I can confirm the same problem on my machine when trying to run gthumb or amarok.
Fedora 19, LXDE, x86_64, Xorg 1.14.2, nvidia drivers 319.32.

...
[  1498.641] (EE) 
[  1498.641] (EE) Backtrace:
[  1498.656] (EE) 0: /usr/bin/X (OsLookupColor+0x129) [0x46ee59]
[  1498.656] (EE) 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x3b0080ef9f]
[  1498.656] (EE) 2: ? (?+0x0) [0x0]
[  1498.656] (EE) 
[  1498.656] (EE) Segmentation fault at address 0x0
[  1498.656] (EE) 
Fatal server error:
[  1498.656] (EE) Caught signal 11 (Segmentation fault). Server aborting
[  1498.656] (EE) 
[  1498.656] (EE) 
Please consult the Fedora Project support 
	 at http://wiki.x.org
 for help. 
[  1498.657] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[  1498.657] (EE) 
[  1499.082] (EE) Server terminated with error (1). Closing log file.

Comment 10 Fedora End Of Life 2013-09-16 13:25:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 11 Andrew Travneff 2013-09-20 13:26:34 UTC
Might be related: https://bugzilla.redhat.com/show_bug.cgi?id=957915

Comment 12 Need Real Name 2013-09-25 11:46:33 UTC
I see this error when running chrome and loading certain web pages ... X suddenly dies as the page loads with this error in Xorg.0.log.

Comment 13 Garrett Mitchener 2013-09-26 13:38:02 UTC
Also possibly related: https://bugs.freedesktop.org/show_bug.cgi?id=64912

Comment 14 Shayan Pooya 2013-12-14 14:03:42 UTC
I am hitting this issue on Fedora 20. Is there any additional information any one wants me to attach to this ticket?

Comment 15 Mark T. Kennedy 2013-12-22 19:34:57 UTC
I just started hitting this in Fedora 20 whenever I launch google-chrome-unstable.  Seems like it has been open for nearly 8 months?  Any progress/thoughts?

Comment 16 Mark T. Kennedy 2013-12-22 19:36:38 UTC
By the way, I can reproduce this reliably.

Comment 17 Mark T. Kennedy 2013-12-22 19:49:07 UTC
There was a suggestion in another bug report that removing x11-xorg-glamor would stop the crashes.  I tried that and it doesn't stop the crashes.

Comment 18 Mark T. Kennedy 2013-12-22 20:27:00 UTC
ah, someone else found a work-around.  i'll bet this is the root issue for all of the nvidia libpthread crashes.  /usr/lib64/nvidia-304xx/xorg/libglx.so from xorg-x11-server-Xorg triggers a crash from many applications when used with the proprietary nvidia driver.  replacing it with the one supplied by nvidia (/usr/lib64/nvidia-304xx/xorg/libglx.so, for example) makes the problem go away.

Comment 19 Mark T. Kennedy 2013-12-22 20:29:50 UTC
sorry, i meant /usr/lib64/xorg/modules/extensions/libglx.so from xorg-x11-server-Xorg causes crashes when used with the nvidia proprietary driver.  and replacing it with the one from nividia (/usr/lib64/nvidia-304xx/xorg/libglx.so, for example), makes the problem go away.

Comment 20 Garrett Mitchener 2013-12-24 05:11:25 UTC
We may be seeing more than one bug.  I see this using Mathematica on Fedora 19. X crashes when I open any file open or save dialog, and with some other popup windows.  The backtrace mentions OsLookupColor.  I have an AMD graphics card, Pitcairn chipset, and as best I can tell, it's not possible to run it without x11-xorg-glamor.  I seem to remember trying the proprietary AMD driver a while back and still had problems.

Comment 21 Paulo Fidalgo 2014-02-18 17:50:11 UTC
I've been experiencing this for a long time, but today I've found a way to replicate it. Just launch Firefox and go to: http://sol.sapo.pt/inicio/Internacional/Interior.aspx?content_id=99576

it happened all the time with me.

Here is the backtrace:

[ 23045.453] (II) Using input driver 'evdev' for 'Toshiba input device'
[ 23045.453] (**) Toshiba input device: always reports core events
[ 23045.453] (**) evdev: Toshiba input device: Device: "/dev/input/event10"
[ 23045.453] (--) evdev: Toshiba input device: Vendor 0 Product 0
[ 23045.453] (--) evdev: Toshiba input device: Found keys
[ 23045.453] (II) evdev: Toshiba input device: Configuring as keyboard
[ 23045.453] (**) Option "config_info" "udev:/sys/devices/virtual/input/input14/event10"
[ 23045.453] (II) XINPUT: Adding extended input device "Toshiba input device" (type: KEYBOARD, id 16)
[ 23045.453] (**) Option "xkb_rules" "evdev"
[ 23045.453] (**) Option "xkb_model" "pc104"
[ 23045.453] (**) Option "xkb_layout" "pt"
[ 23045.453] (**) Option "xkb_options" "grp:alt_shift_toggle"
[ 23057.968] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 23100.050] (II) AIGLX: Resuming AIGLX clients after VT switch
[ 23100.097] (--) synaptics: AlpsPS/2 ALPS DualPoint TouchPad: touchpad found
[ 23100.098] setversion 1.4 failed
[ 23128.190] (EE) 
[ 23128.190] (EE) Backtrace:
[ 23128.192] (EE) 0: /usr/bin/X (OsLookupColor+0x129) [0x473759]
[ 23128.192] (EE) 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x397ec0f74f]
[ 23128.192] (EE) 2: /lib64/libc.so.6 (__memcpy_sse2_unaligned+0x29) [0x397e093f49]
[ 23128.193] (EE) 3: /usr/lib64/xorg/modules/drivers/radeon_drv.so (_init+0x2b4e7) [0x7ff672702067]
[ 23128.194] (EE) 4: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x43b0) [0x7ff672288e00]
[ 23128.194] (EE) 5: /usr/bin/X (dixDestroyPixmap+0x1459) [0x4380b9]
[ 23128.194] (EE) 6: /usr/bin/X (SendErrorToClient+0x427) [0x43a3a7]
[ 23128.194] (EE) 7: /usr/bin/X (_init+0x3b0a) [0x42c00a]
[ 23128.194] (EE) 8: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x397e021d65]
[ 23128.194] (EE) 9: /usr/bin/X (_start+0x29) [0x428c35]
[ 23128.195] (EE) 10: ? (?+0x29) [0x29]
[ 23128.195] (EE) 
[ 23128.195] (EE) Bus error at address 0x7ff66697f000
[ 23128.195] (EE) 
Fatal server error:
[ 23128.195] (EE) Caught signal 7 (Bus error). Server aborting

@Dave Airlie: I can run a session in gdb... can you point me a doc or something about the right way to do it?

Comment 22 Paulo Fidalgo 2014-05-27 20:49:17 UTC
In a ssh shell I've attached gdb to a running Xorg and opened an image that crashes with firefox:

Program received signal SIGBUS, Bus error.
__memcpy_sse2_unaligned () at ../sysdeps/x86_64/multiarch/memcpy-sse2-unaligned.S:39
39              movdqu  %xmm8, (%rdi)
(gdb) bt
#0  __memcpy_sse2_unaligned () at ../sysdeps/x86_64/multiarch/memcpy-sse2-unaligned.S:39
#1  0x00007f95934b2f07 in memcpy (__len=31924, __src=<optimized out>, __dest=0x7f9582af4000) at /usr/include/bits/string3.h:51
#2  EVERGREENUploadToScreen (pDst=0x21ecc70, x=0, y=0, w=7981, h=8, src=<optimized out>, src_pitch=31924) at evergreen_exa.c:1726
#3  0x00007f9593060e10 in exaDoPutImage (depth=32, src_stride=<optimized out>, 
    bits=0x258bb78 "\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377"..., format=2, 
    h=8, w=7981, y=0, x=0, pGC=0x21dc980, pDrawable=0x21ecc70) at exa_accel.c:212
#4  exaPutImage (pDrawable=0x21ecc70, pGC=0x21dc980, depth=32, x=0, y=0, w=7981, h=8, leftPad=0, format=2, 
    bits=0x258bb78 "\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377"...)
    at exa_accel.c:233
#5  0x0000000000436d99 in ProcPutImage (client=0x214bc50) at dispatch.c:1966
#6  0x000000000043a327 in Dispatch () at dispatch.c:432
#7  0x00000000004288da in main (argc=11, argv=0x7fff1605d598, envp=<optimized out>) at main.c:298
(gdb) bt full
#0  __memcpy_sse2_unaligned () at ../sysdeps/x86_64/multiarch/memcpy-sse2-unaligned.S:39
No locals.
#1  0x00007f95934b2f07 in memcpy (__len=31924, __src=<optimized out>, __dest=0x7f9582af4000) at /usr/include/bits/string3.h:51
No locals.
#2  EVERGREENUploadToScreen (pDst=0x21ecc70, x=0, y=0, w=7981, h=8, src=<optimized out>, src_pitch=31924) at evergreen_exa.c:1726
        pScrn = 0x173d1d0
        info = 0x173d750
        accel_state = <optimized out>
        driver_priv = 0x213bd70
        scratch = <optimized out>
        copy_dst = 0x205f220
        dst = 0x7f9582af4000 <error: Cannot access memory at address 0x7f9582af4000>
        size = 31924
        dst_domain = 4
        bpp = <optimized out>
        scratch_pitch = <optimized out>
        copy_pitch = 32000
        dst_pitch_hw = <optimized out>
        ret = <optimized out>
        flush = <optimized out>
        r = 1
        i = 0
        src_obj = {pitch = 7981, width = 31924, height = 32, bpp = 0, domain = 0, bo = 0x850405b80d016b00, tiling_flags = 24433120, 
          surface = 0x7f959349bb69 <RADEONEXAPixmapIsOffscreen+9>}
        dst_obj = {pitch = 35572848, width = 0, height = 2466643016, bpp = 32661, domain = 2468803456, bo = 0x7f959349bb69 <RADEONEXAPixmapIsOffscreen+9>, 
          tiling_flags = 35572848, surface = 0x7f959305fc48 <exaPixmapHasGpuCopy_mixed+104>}
        height = <optimized out>
        base_align = <optimized out>
#3  0x00007f9593060e10 in exaDoPutImage (depth=32, src_stride=<optimized out>, 
    bits=0x258bb78 "\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377"..., format=2, 
    h=8, w=7981, y=0, x=0, pGC=0x21dc980, pDrawable=0x21ecc70) at exa_accel.c:212
        y1 = <optimized out>
        x2 = <optimized out>
        ok = <optimized out>
        x1 = <optimized out>
        y2 = <optimized out>
        src = <optimized out>
        pExaPixmap = <optimized out>
        nbox = <optimized out>
---Type <return> to continue, or q <return> to quit---
        pPix = 0x21ecc70
        xoff = 0
        ret = 1
        pClip = <optimized out>
        pbox = 0x212ef60
        yoff = 0
        bpp = <optimized out>
#4  exaPutImage (pDrawable=0x21ecc70, pGC=0x21dc980, depth=32, x=0, y=0, w=7981, h=8, leftPad=0, format=2, 
    bits=0x258bb78 "\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377"...)
    at exa_accel.c:233
No locals.
#5  0x0000000000436d99 in ProcPutImage (client=0x214bc50) at dispatch.c:1966
        pGC = 0x21dc980
        pDraw = 0x21ecc70
        length = <optimized out>
        lengthProto = <optimized out>
        tmpImage = 0x258bb78 "\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\320\316\315\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377\321\317\316\377"...
        stuff = 0x258bb60
#6  0x000000000043a327 in Dispatch () at dispatch.c:432
        clientReady = 0x1a12230
        result = <optimized out>
        client = 0x214bc50
        nready = 0
        icheck = 0x822670 <checkForInput>
        start_tick = 200
#7  0x00000000004288da in main (argc=11, argv=0x7fff1605d598, envp=<optimized out>) at main.c:298
        i = <optimized out>
        alwaysCheckForInput = {0, 1}
(gdb)

Comment 23 Paulo Fidalgo 2014-11-27 11:03:53 UTC
Today I've tried again loading this image, which has caused trouble in past:

http://cursos.eduke.me/wp-content/uploads/2014/03/marketing-comunicacao-digital.jpg

and got no problems.

Comment 24 Fedora End Of Life 2015-05-29 08:58:07 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 25 Fedora End Of Life 2015-06-29 11:51:20 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.